::hv3::browser(3tcl)

NAME
::hv3::browser - Web browser widget.

SYNOPSIS
::hv3::browser pathName ?options?

STANDARD OPTIONS

See the options(n) manual entry for details on the standard options.

WIDGET-SPECIFIC OPTIONS

Command-Line Name:-enablejavascript
 .br Database Name: enablejavascript
 .br Database Class: Enablejavascript
 .br
 .RS
 .PP If set to true and the Tclsee package can be loaded, javascript is enabled in the browser widget.

The default value is false.
 .RE Command-Line Name:-unsafe
 .br Database Name: unsafe
 .br Database Class: Unsafe
 .br
 .RS
 .PP This boolean option determines whether or not the javascript interpreter has access to the function window.tcl(). Because this function allows javascript programs embedded in documents to evaluate Tcl scripts in the widget"s intepreter, any document loaded while this option is set should be from a trusted source.

The default value is false.
 .RE

DESCRIPTION

WIDGET COMMAND